Skip to main content
GET
/
v2
/
submission
/
{submission_id}
/
fraud
Fetch fraud result
curl --request GET \
  --url https://api.documents.resistant.ai/v2/submission/{submission_id}/fraud \
  --header 'Authorization: Bearer <token>'
{
  "status": "SUCCESS",
  "analysis_time": "<string>",
  "file_type": "unsupported",
  "mime_type": "<string>",
  "deployment_version": "<string>",
  "query_id": "<string>",
  "sha256": "<string>",
  "filtered_parsed_pages": [
    123
  ],
  "num_pages": 123,
  "score": "NORMAL",
  "sample_metadata": {
    "producer": "<string>",
    "creator": "<string>",
    "creation_date": "<string>",
    "mod_date": "<string>",
    "author": "<string>",
    "title": "<string>",
    "keywords": "<string>",
    "subject": "<string>"
  },
  "indicators": [
    {
      "indicator_id": "<string>",
      "type": "RISK",
      "category": "<string>",
      "title": "<string>",
      "description": "<string>",
      "origin": "fraud",
      "metadata": {
        "type": "DataOnly",
        "column_names": [
          "<string>"
        ],
        "data": [
          [
            "<string>"
          ]
        ]
      },
      "indicator_attributes": {
        "indicator_id": "in_transaction_cluster",
        "serial_fraud_cluster_id": "<string>",
        "cluster_submission_ids_sample": [
          "<string>"
        ],
        "cluster_query_ids_sample": [
          "<string>"
        ]
      }
    }
  ],
  "document_class": {
    "id": "<string>",
    "type": "mixed",
    "document_class_type": "DocumentClass"
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

submission_id
string
required

Query Parameters

with_metadata
boolean
default:false

Enables indicator medatadata in the response object

Response

Asynchronous processing finished (either with a success or an error). Result of the processing is described by the specific response object.

status
enum<string>
required
Available options:
SUCCESS
analysis_time
string
required

Timestamp of analysis

file_type
enum<string>
required

General type of the input file

Available options:
unsupported,
pdf,
image
mime_type
string
required

Mime type of the input file, e.g. application/pdf, image/jpeg, etc.

Maximum string length: 256
deployment_version
string
required

Version of quality engine used for analysis

Maximum string length: 256
query_id
string | null
required

Customer's own submission ID. This field may contain customer's own internal ID of analyzed file (e.g. ID in database).

Maximum string length: 2048
sha256
string
required

Sha256 of the input file

Required string length: 64
filtered_parsed_pages
integer[]
required

List of pages that were selected from document for processing, empty list means all pages were selected

num_pages
integer
required

Number of pages in submitted document. Note that, for images, this is equal to 1

score
enum<string>
required

Overall score of analyzed sample. A TRUSTED score is attributed to documents where the system has identified a reason to trust them. A NORMAL score describes the documents where the system has no particular reason to trust or distrust them. A WARNING score is given to documents that are identified as more likely to have been modified, such as scanned documents. A HIGH_RISK score identifies the documents where the system has identified modifications that are frequently associated with fraud or forgery attempts.

Available options:
NORMAL,
TRUSTED,
WARNING,
HIGH_RISK
sample_metadata
Sample metadata · object
required

Metadata extracted from the analyzed file. This field may contain various information such as creation date, software used to create the file, etc.

indicators
Analysis indicator · object[]
required

Indicators contains detailed information about the specific results of our analysis. This field contains detailed observations that the system was able to make about the file. Some indicators may be positive and may increase the Trust score, while the others would be negative and would increase the Risk.

document_class
Document class(Deprecated) · object
deprecated

This field will be removed from the /fraud API response in November 2025. Please use the /classification endpoint for accessing document classification results.Depracated and replaced by document classification.